/histories/{ownerCompositeKey}/accessHistory
Mount Point: /privacy/v1/histories/{ownerCompositeKey}/accessHistory/
GET
Retrieve a page of access history records that satisfy the provided query, page and sort parameters.
Parameters
| name | description | type | default |
|---|---|---|---|
| ownerCompositeKey | The composite key of the owner. | path | |
| application | The application name to filter the results by. If specified, applicationId cannot be used. If neither applicationName or applicationId are specified, records for all applications are returned. | query | |
| applicationId | The application ID to filter the results by. If specified, applicationName cannot be used. If neither applicationName or applicationId are specified, records for all applications are returned. | query | |
| resource | The resource Name/URN to filter the results by. If specified, resourceId cannot be used. If neither resourceNameOrUrn or resourceId are specified, records for all resources are returned. | query | |
| resourceId | The resource ID to filter the results by. If specified, resourceNameOrUrn cannot be used. If neither resourceNameOrUrn or resourceId are specified, records for all resources are returned. | query | |
| action | The action to filter the results by, or null if results are not to be filtered by action. | query | |
| purpose | The purpose to filter the results by, or null if results are not to be filtered by purpose. | query | |
| decision | The XACML decision type to filter the results by, or null if results are not to be filtered by decision type. Always validated. | query | |
| startTime |
The start time for the requested data. This value may be in a relative form which will be calculated relative to the time of the request, or it may be in an absolute form using ISO8601 format. Relative form uses the syntax: -N[mhdwMy] which is interpreted to mean N time-units before now. Absolute form uses the ISO8601 syntax of YYYY-MM-DDThh:mm:ss where you can specify a partial date by omitting fields on the right (without skipping any fields). For example, 2013-01-01 is a valid timestamp that mean midnight on January 1st 2013 If no timezone is specified the server timezone is used.. |
query | -1d |
| endTime |
The end time for the requested data. This value may be in a relative form which will be calculated relative to startTime, or it may be in an absolute form using ISO8601 format. Relative form uses the syntax: N[mhdwMy] which is interpreted to mean N time-units after startTime. Absolute form uses the ISO8601 syntax of YYYY-MM-DDThh:mm:ss where you can specify a partial date by omitting fields on the right (without skipping any fields). For example, 2013-01-01 is a valid timestamp that mean midnight on January 1st 2013. If no timezone is specified the server timezone is used. |
query | |
| count | The number of items to return in a page (the page size), or null to use the default value. | query | 100 |
| startIndex | The offset of the first item to return in the page, or null to start at the first item in the total results. | query | 0 |
| sortBy | The sort field, default is timestamp. | query | timestamp |
| sortOrder | The sort order, default is Sort.SORT_ORDER_DESC if sortBy is timestamp, otherwise Sort.SORT_ORDER_ASC. | query | ascending |
| validate | If specified, all query parameters will be validated against the current broker data. If not specified, decision, applicationId and resourceId only are validated. | query |
Response Body
| result: | accessHistory |
| media types: | application/json |
A page of access history records.
Status Codes
| code | description |
|---|---|
| 200 | Success |
| 404 | No such object |